Bug Hunting Session
Bug 92427 - Entire column A:A / row 1:1 notation should be display instead of A1:A1048576 / A1:AMJ1
Summary: Entire column A:A / row 1:1 notation should be display instead of A1:A1048576...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-29 13:54 UTC by Óvári
Modified: 2016-10-25 19:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2015-06-29 13:54:21 UTC
Cf. tdf#44419

When an entire column is entered into a formula, it should be replaced by the entire column notation.

1. In cell A10 enter: =SUM(B1:B1048576)
2. The cell A10 should show: =SUM(B:B)

3. In cell A11 enter: =SUM(B1:B1048575)
4. Click on cell A1
5. Click on cell A11 and change the last digit from a 5 to a 6: =SUM(B1:B1048576)
6. the cell A11 should show: =sum(B:B)

Likewise, this behaviour should occur for entire rows too.

Thank you
Comment 1 Eike Rathke 2015-06-29 23:27:05 UTC
The other axis (rows if entire column, columns if entire row) has to have absolute references, so B$1:B$1048576 then it will be converted to B:B
Comment 2 Óvári 2015-06-29 23:42:24 UTC
Thank you Eike for your comment.

Perhaps LibreOffice documentation user documentation could state that:
1. LibreOffice Calc requires absolute reference; and
2. LibreOffice Calc converts to the entire column/row notation differently to Microsoft Excel.
Comment 3 Eike Rathke 2015-06-30 09:35:38 UTC
Humm.. seeing that Excel converts such reference maybe we should do the same.
Comment 4 Óvári 2015-06-30 09:46:49 UTC
Thank you Eike for reopening this ticket.
Comment 5 Commit Notification 2015-06-30 10:51:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ccefa0cb62da893556893bec2414c22cb2ad7b8

tdf#92427 entire column/row reference also if both sticky parts are relative

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-06-30 10:58:47 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2787cde7722dee09ae67e1d6bc9a3501ecc0d56&h=libreoffice-5-0

tdf#92427 entire column/row reference also if both sticky parts are relative

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-30 11:32:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ed32d8a91dd6df2888dc73d27a453a1b851e448

unit tests for tdf#92427

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.